package com.citygis.web.dataEncrypt.mapper;

import com.citygis.web.dataEncrypt.domain.ColumnInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.LinkedHashMap;
import java.util.List;

@Mapper
public interface JiaMiMapper {

    //查询字段值
    List<ColumnInfo> handleEncryption(@Param("idColumn") String idColumn, @Param("tableName") String tableName, @Param("column") String column);

    //更新字段值
    int updateEncryption(@Param("idColumn") String idColumn, @Param("tableName") String tableName, @Param("column") String column, @Param("id") Long id, @Param("encryString") String encryString);

    List<LinkedHashMap<String, Object>> getData(String tableName);

    int updateData(@Param("tableName") String tableName,@Param("idColumn") String idColumn,@Param("hmacText") String hmacText,@Param("id") String id);

    List<LinkedHashMap<String, Object>> getVerifyData(String tableName);

}
